thanks. i see that the command doesn't symmetrically provide the help text, that was my error:

root-POP /% vdeloldusers -h
vdeloldusers: invalid option -- h
error: you must supply either the -e or -d [domain] options

root-POP /% vdeloldusers
vdeloldusers: usage: [options]
options: -a age_in_days (will delete accounts older than this date)
                        (default is 6 months or 180 days)
         -v (print version number and exit)
         -d [domain] (process only [domain])
         -e (process every domain)
         -D (actually delete users. no users are deleted without this option)
         -V (verbose -- print old users that will be deleted)


it appears it bases deletion upon last auth. unfortunately, if someone has set up the account to forward elsewhere, the last auth may be old, but the address may still be in use. oh well.


At 09:35 AM 9/8/2004, you wrote:


Paul Theodoropoulos wrote:

while i see the program in my vpopmail bin dir, i see no documentation anywhere. running with a '-h' gives a far too terse usage.
i'm curious why this isn't openly documented.

Hi,

vdeloldusers
vdeloldusers: usage: [options]
options: -a age_in_days (will delete accounts older than this date)
                        (default is 6 months or 180 days)
         -v (print version number and exit)
         -d [domain] (process only [domain])
         -e (process every domain)
         -D (actually delete users. no users are deleted without this option)
         -V (verbose -- print old users that will be deleted)

Regards,

Rick


Paul Theodoropoulos http://www.anastrophe.com http://www.smileglobal.com





Reply via email to